CyberHosting

CyberPanel on Ubuntu 20.04, OpenLIteSpeed

Some errors during installation:

In the middle

E: The repository 'http://ppa.launchpad.net/certbot/certbot/ubuntu focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

At the end:
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libmariadbclient-dev : Depends: libmariadb-dev (= 1:10.3.22-1ubuntu1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Comments

  • Quick update:
    Managed to fix the first error for the certbot with this command:

    apt-add-repository -r ppa:certbot/certbot

    After that, the installer didn't show any errors about it, but still, there is an error about the unmet dependencies.

    The server was a clean install with the 1 click installer of OpenLiteSpeed. After it, I have only installed and configured the certificate. The website is working and everything but can't install CyberPanel
  • Cyberpanel does not use certbot it uses acme.sh for issuing SSL certificates.

    I would recommend installing using the install method detailed on www.cyberpanel.net and not the one click installer
    Cyberpanel Managed & Unmanaged Shared & VPS Hosting by Cyberpanel Experts.
    https://www.cyberhosting.org
    You can now earn with the Cyberhosting affiliate scheme. Join today
    https://www.cyberhosting.org/affiliates/
Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion